Commit 8f367dd3 authored by Bruce Momjian's avatar Bruce Momjian

Fix vpath for thread test.

parent 095ed37f
...@@ -19174,30 +19174,30 @@ if test cross_compiling != yes; then ...@@ -19174,30 +19174,30 @@ if test cross_compiling != yes; then
# #
echo "$as_me:$LINENO: checking thread safety of required library functions" >&5 echo "$as_me:$LINENO: checking thread safety of required library functions" >&5
echo $ECHO_N "checking thread safety of required library functions... $ECHO_C" >&6 echo $ECHO_N "checking thread safety of required library functions... $ECHO_C" >&6
if ! $MAKE -C $srcdir/src/tools/thread clean >&5 if ! $MAKE -C src/tools/thread clean >&5
then rm -f $srcdir/src/Makefile.global then rm -f src/Makefile.global
{ { echo "$as_me:$LINENO: error: Can not clean thread test directory." >&5 { { echo "$as_me:$LINENO: error: Can not clean thread test directory." >&5
echo "$as_me: error: Can not clean thread test directory." >&2;} echo "$as_me: error: Can not clean thread test directory." >&2;}
{ (exit 1); exit 1; }; } { (exit 1); exit 1; }; }
fi fi
if ! $MAKE -C $srcdir/src/tools/thread >&5 if ! $MAKE -C src/tools/thread >&5
then rm -f $srcdir/src/Makefile.global then rm -f src/Makefile.global
{ { echo "$as_me:$LINENO: error: Can not build thread test proram." >&5 { { echo "$as_me:$LINENO: error: Can not build thread test proram." >&5
echo "$as_me: error: Can not build thread test proram." >&2;} echo "$as_me: error: Can not build thread test proram." >&2;}
{ (exit 1); exit 1; }; } { (exit 1); exit 1; }; }
fi fi
if ! $srcdir/src/tools/thread/thread_test >&5 if ! src/tools/thread/thread_test >&5
then rm -f $srcdir/src/Makefile.global then rm -f src/Makefile.global
echo "no" echo "no"
echo echo
$srcdir/src/tools/thread/thread_test src/tools/thread/thread_test
echo echo
{ { echo "$as_me:$LINENO: error: Thread test program failed. Your platform is not thread-safe." >&5 { { echo "$as_me:$LINENO: error: Thread test program failed. Your platform is not thread-safe." >&5
echo "$as_me: error: Thread test program failed. Your platform is not thread-safe." >&2;} echo "$as_me: error: Thread test program failed. Your platform is not thread-safe." >&2;}
{ (exit 1); exit 1; }; } { (exit 1); exit 1; }; }
fi fi
if ! $MAKE -C $srcdir/src/tools/thread clean >&5 if ! $MAKE -C src/tools/thread clean >&5
then rm -f $srcdir/src/Makefile.global then rm -f src/Makefile.global
{ { echo "$as_me:$LINENO: error: Can not clean thread test directory." >&5 { { echo "$as_me:$LINENO: error: Can not clean thread test directory." >&5
echo "$as_me: error: Can not clean thread test directory." >&2;} echo "$as_me: error: Can not clean thread test directory." >&2;}
{ (exit 1); exit 1; }; } { (exit 1); exit 1; }; }
...@@ -19206,11 +19206,11 @@ echo "yes" ...@@ -19206,11 +19206,11 @@ echo "yes"
else else
{ echo "$as_me:$LINENO: WARNING: { echo "$as_me:$LINENO: WARNING:
*** Skipping thread test program because of cross-compile build. *** Skipping thread test program because of cross-compile build.
*** Run the program in $srcdir/src/tools/thread on the target matchine. *** Run the program in src/tools/thread on the target matchine.
" >&5 " >&5
echo "$as_me: WARNING: echo "$as_me: WARNING:
*** Skipping thread test program because of cross-compile build. *** Skipping thread test program because of cross-compile build.
*** Run the program in $srcdir/src/tools/thread on the target matchine. *** Run the program in src/tools/thread on the target matchine.
" >&2;} " >&2;}
fi fi
fi fi
dnl Process this file with autoconf to produce a configure script. dnl Process this file with autoconf to produce a configure script.
dnl $PostgreSQL: pgsql/configure.in,v 1.335 2004/04/26 13:14:48 momjian Exp $ dnl $PostgreSQL: pgsql/configure.in,v 1.336 2004/04/26 19:08:57 momjian Exp $
dnl dnl
dnl Developers, please strive to achieve this order: dnl Developers, please strive to achieve this order:
dnl dnl
...@@ -1235,31 +1235,31 @@ if test cross_compiling != yes; then ...@@ -1235,31 +1235,31 @@ if test cross_compiling != yes; then
# compile (to simulate a configure failure). # compile (to simulate a configure failure).
# #
AC_MSG_CHECKING([thread safety of required library functions]) AC_MSG_CHECKING([thread safety of required library functions])
if ! $MAKE -C $srcdir/src/tools/thread clean >&5 if ! $MAKE -C src/tools/thread clean >&5
then rm -f $srcdir/src/Makefile.global then rm -f src/Makefile.global
AC_MSG_ERROR([Can not clean thread test directory.]) AC_MSG_ERROR([Can not clean thread test directory.])
fi fi
if ! $MAKE -C $srcdir/src/tools/thread >&5 if ! $MAKE -C src/tools/thread >&5
then rm -f $srcdir/src/Makefile.global then rm -f src/Makefile.global
AC_MSG_ERROR([Can not build thread test proram.]) AC_MSG_ERROR([Can not build thread test proram.])
fi fi
if ! $srcdir/src/tools/thread/thread_test >&5 if ! src/tools/thread/thread_test >&5
then rm -f $srcdir/src/Makefile.global then rm -f src/Makefile.global
echo "no" echo "no"
echo echo
$srcdir/src/tools/thread/thread_test src/tools/thread/thread_test
echo echo
AC_MSG_ERROR([Thread test program failed. Your platform is not thread-safe.]) AC_MSG_ERROR([Thread test program failed. Your platform is not thread-safe.])
fi fi
if ! $MAKE -C $srcdir/src/tools/thread clean >&5 if ! $MAKE -C src/tools/thread clean >&5
then rm -f $srcdir/src/Makefile.global then rm -f src/Makefile.global
AC_MSG_ERROR([Can not clean thread test directory.]) AC_MSG_ERROR([Can not clean thread test directory.])
fi fi
echo "yes" echo "yes"
else else
AC_MSG_WARN([ AC_MSG_WARN([
*** Skipping thread test program because of cross-compile build. *** Skipping thread test program because of cross-compile build.
*** Run the program in $srcdir/src/tools/thread on the target matchine. *** Run the program in src/tools/thread on the target matchine.
]) ])
fi fi
fi fi
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment